<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>CommandUsageBox (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommandUsageBox (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/CommandListBox.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/ErrorFormat.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/formatting/component/CommandUsageBox.html" target="_top">Frames</a></li>
<li><a href="CommandUsageBox.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.com.sk89q.worldedit.util.formatting.component.TextComponentProducer">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.formatting.component</div>
<h2 title="Class CommandUsageBox" class="title">Class CommandUsageBox</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html" title="class in com.sk89q.worldedit.util.formatting.component">com.sk89q.worldedit.util.formatting.component.TextComponentProducer</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.formatting.component.CommandUsageBox</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CommandUsageBox</span>
extends <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html" title="class in com.sk89q.worldedit.util.formatting.component">TextComponentProducer</a></pre>
<div class="block">A box to describe usage of a command.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/CommandUsageBox.html#CommandUsageBox-java.util.List-java.lang.String-">CommandUsageBox</a></span>(java.util.List&lt;org.enginehub.piston.Command&gt;&nbsp;commands,
               java.lang.String&nbsp;commandString)</code>
<div class="block">Create a new usage box.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/CommandUsageBox.html#CommandUsageBox-java.util.List-java.lang.String-org.enginehub.piston.CommandParameters-">CommandUsageBox</a></span>(java.util.List&lt;org.enginehub.piston.Command&gt;&nbsp;commands,
               java.lang.String&nbsp;commandString,
               org.enginehub.piston.CommandParameters&nbsp;parameters)</code>
<div class="block">Create a new usage box.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.formatting.component.TextComponentProducer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.util.formatting.component.<a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html" title="class in com.sk89q.worldedit.util.formatting.component">TextComponentProducer</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#append-com.sk89q.worldedit.util.formatting.text.Component-">append</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#append-java.lang.String-">append</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#create--">create</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#getBuilder--">getBuilder</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#newline--">newline</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#reset--">reset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CommandUsageBox-java.util.List-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CommandUsageBox</h4>
<pre>public&nbsp;CommandUsageBox(java.util.List&lt;org.enginehub.piston.Command&gt;&nbsp;commands,
                       java.lang.String&nbsp;commandString)
                throws <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/InvalidComponentException.html" title="class in com.sk89q.worldedit.util.formatting.component">InvalidComponentException</a></pre>
<div class="block">Create a new usage box.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>commands</code> - the commands to describe</dd>
<dd><code>commandString</code> - the commands that were used, such as "/we" or "/brush sphere"</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/InvalidComponentException.html" title="class in com.sk89q.worldedit.util.formatting.component">InvalidComponentException</a></code></dd>
</dl>
</li>
</ul>
<a name="CommandUsageBox-java.util.List-java.lang.String-org.enginehub.piston.CommandParameters-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommandUsageBox</h4>
<pre>public&nbsp;CommandUsageBox(java.util.List&lt;org.enginehub.piston.Command&gt;&nbsp;commands,
                       java.lang.String&nbsp;commandString,
                       @Nullable
                       org.enginehub.piston.CommandParameters&nbsp;parameters)
                throws <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/InvalidComponentException.html" title="class in com.sk89q.worldedit.util.formatting.component">InvalidComponentException</a></pre>
<div class="block">Create a new usage box.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>commands</code> - the commands to describe</dd>
<dd><code>commandString</code> - the commands that were used, such as "/we" or "/brush sphere"</dd>
<dd><code>parameters</code> - list of parameters to use</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/InvalidComponentException.html" title="class in com.sk89q.worldedit.util.formatting.component">InvalidComponentException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/CommandListBox.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/ErrorFormat.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/formatting/component/CommandUsageBox.html" target="_top">Frames</a></li>
<li><a href="CommandUsageBox.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.com.sk89q.worldedit.util.formatting.component.TextComponentProducer">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
